<?php

$items = $block->getProductCollection()->setPageSize(10)
    ->setCurPage(1)->getItems();
$_imagehelper = $this->helper('Magento\Catalog\Helper\Image');
$image = 'product_base_image';
$_hideCartHelper = $this->helper('Alogic\Customtheme\Helper\Data');
$isCartDisabled = $_hideCartHelper->getIsCartDisabled();
?>
<style type="text/css">
  .featured-item .yotpo{
    text-align: center;
    margin-bottom: 10px;
}
.featured-item .yotpo div{
    display: inline-block !important;
}
.featured-item .yotpo .text-m{
    margin: 2px 10px;
}
</style>
  <div class="featured-box">
    <div class="container">
      <div class="row">
        <div class="col-md-10 col-md-offset-1">
          <div class="row">
            <div class="js-featured owl-carousel slider-view">
              <?php $i=0; foreach ($items as $_product): $i++; ?>
              <?php $productImage = $_imagehelper->init($_product, $image)->resize(400, 400)->getUrl(); ?>
              <div class="col-xs-10 col-xs-offset-1 col-sm-12 col-sm-offset-0 featured-box-col">
                <div class="featured-item">
                  <a href="<?php echo $_product->getProductUrl() ?>" class="featured-link">
                    <img class="img-responsive" src="<?php echo $productImage ?>" alt="<?php echo $_product->getName(); ?>" />
                  </a>
                  <!-- <h6 class="part-nos">Part No: <span><?php echo $_product->getSku(); ?></span></h6> -->
                  <h6 class="equalHeight"><a href="<?php echo $_product->getProductUrl() ?>" class="featured-product-link" title="Dynamic product title will come"><?php echo $_product->getName(); ?></a></h6>
                  <div class="yotpo bottomLine"
data-appkey="QvDU8Pgt1mWuxBUKUWwjVhIdmG8ot3lPiC1RUrvk"
data-domain="https://alogic.co/us/" data-product-id="<?php echo $_product->getId();?>" >
</div>
                  <!-- <div class="product alert notify-box-stock overriden">
                    <a href="http://13.211.188.253/productalert/add/stock/product_id/4502/uenc/aHR0cDovLzEzLjIxMS4xODguMjUzL2NhdGFsb2cvY2F0ZWdvcnkvdmlldy9zL2FsbC1kb2NraW5nLXN0YXRpb25zL2lkLzQ2MC8_cHJvZHVjdF9saXN0X21vZGU9Z3JpZCZpc19hamF4PTEmXz0xNjI4MTU0MjQ2NzQ1/" title="Notify me when this product is in stock" class="action alert">Notify me when this product is in stock</a>
                  </div> -->
<?php if (!$isCartDisabled){ ?>
                  <?php if ($_product->isSaleable()){ ?>
                            <div>
                              <?php echo $block->getProductPrice($_product) ?>
                              <?php $postParams = $block->getAddToCartPostParams($_product);?>
                              <form data-role="tocart-form" action="<?php /* @escapeNotVerified */echo $this->getUrl('checkout/cart/add', ['uenc' => $postParams['data']['uenc'], 'product' => $postParams['data']['product']]); ?>" method="post">
                                <input type="hidden" name="product" value="<?php /* @escapeNotVerified */echo $postParams['data']['product']; ?>">
                                <input type="hidden" name="uenc" value="<?php /* @escapeNotVerified */echo $postParams['data']['uenc']; ?>">
                                <input name="form_key" type="hidden" value="<?php echo $this->getFormKey() ?>" />
                                <button class="btn-wrapper-btn btn btn-primary" type="submit" title="<?php /* @escapeNotVerified */echo __('Add to Cart') ?>">

                                  <span class="text"><?php /* @escapeNotVerified */echo __('Add to Cart') ?></span>
                                </button>
                              </form>
                            </div>
                          <?php }else{ ?>
                            <div class="notify-box">
                              <div class="product alert notify-box-stock overriden">
                               <a href="javascript:;" title="Notify me when this product is in stock" class="action alert js-notify-window" data-toggle="modal" data-target="#newsWindow" data-productid="<?php echo $_product->getId(); ?>">Notify me when this product is in stock</a>
                             </div>
                            </div>
                          <?php }?>
                          <?php }?>

                </div>
              </div>
              <?php endforeach ?>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
